CRMchat APIBeta
Telegram APIStats

stats.getBroadcastStats

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/stats.getBroadcastStats

Get channel statistics

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/stats.getBroadcastStats" \  -H "Content-Type: application/json" \  -d '{    "params": {      "channel": {        "_": "inputChannelEmpty"      }    }  }'
{  "result": {    "_": "stats.broadcastStats",    "period": {      "_": "statsDateRangeDays",      "minDate": 0,      "maxDate": 0    },    "followers": {      "_": "statsAbsValueAndPrev",      "current": 0.1,      "previous": 0.1    },    "viewsPerPost": {      "_": "statsAbsValueAndPrev",      "current": 0.1,      "previous": 0.1    },    "sharesPerPost": {      "_": "statsAbsValueAndPrev",      "current": 0.1,      "previous": 0.1    },    "reactionsPerPost": {      "_": "statsAbsValueAndPrev",      "current": 0.1,      "previous": 0.1    },    "viewsPerStory": {      "_": "statsAbsValueAndPrev",      "current": 0.1,      "previous": 0.1    },    "sharesPerStory": {      "_": "statsAbsValueAndPrev",      "current": 0.1,      "previous": 0.1    },    "reactionsPerStory": {      "_": "statsAbsValueAndPrev",      "current": 0.1,      "previous": 0.1    },    "enabledNotifications": {      "_": "statsPercentValue",      "part": 0.1,      "total": 0.1    },    "growthGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "followersGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "muteGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "topHoursGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "interactionsGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "ivInteractionsGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "viewsBySourceGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "newFollowersBySourceGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "languagesGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "reactionsByEmotionGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "storyInteractionsGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "storyReactionsByEmotionGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "recentPostsInteractions": [      {        "_": "postInteractionCountersMessage",        "msgId": 0,        "views": 0,        "forwards": 0,        "reactions": 0      }    ]  }}